vim.g.maplocalleader = " "

vim.g.vimtex_compiler_latex = {}
vim.g.vimtex_compiler_latex["backend"] = 'nvim'

vim.g.vimtex_compiler_latex['backend'] = 'nvim'
vim.g.vimtex_compiler_latex['background'] = 1
vim.g.vimtex_compiler_latex[ 'build_dir'] = ''
vim.g.vimtex_compiler_latex[ 'callback'] = 0
vim.g.vimtex_compiler_latex[ 'continuous'] = 1
vim.g.vimtex_compiler_latex[ 'options'] = { '-pdf',
'-verbose',
'-file-line-error',
'-synctex=1',
'-interaction=nonstopmode',
'-silent',
'-shell-escape',
 }

vim.g.vimtex_view_method = 'zathura'

-- Les fichiers sty et cls sont vus comme des fichiers tex
vim.cmd("autocmd BufRead,BufNewFile *.{sty,cls} setlocal syntax=tex")
